#!/bin/bash

export LC_ALL=hu_HU # yes, Latin-2 by now :-(

cat "$@" |
  sed -e 's@<bf/\(.\)/@\1@g' |
  tr '[:lower:]' '[:upper:]' |
  iconv -f Latin2 -t UTF-8 |
  hunspell -l |
  iconv -f UTF-8 -t Latin2 |
  tr '[:upper:]' '[:lower:]' |
  egrep -vx '(abstract|descrip|doctype|itemize|linuxdoc|sect)' |
  sort | uniq > spell.txt
